## vdo 8.3.0.71

=== utils/uds/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

BUILD_VERSION = 8.3.0.71

DEPDIR = .deps

ifeq ($(origin CC), default)
  CC=gcc
endif

WARNS =	-Wall			\
	-Wcast-align		\
	-Werror			\
	-Wextra			\
	-Winit-self		\
	-Wlogical-op		\
	-Wmissing-include-dirs	\
	-Wpointer-arith		\
	-Wredundant-decls	\
	-Wunused		\
	-Wwrite-strings

C_WARNS =	-Wbad-function-cast		\
		-Wcast-qual			\
		-Wfloat-equal			\
		-Wformat=2			\
		-Wmissing-declarations		\
		-Wmissing-format-attribute	\
		-Wmissing-prototypes		\
		-Wnested-externs		\
		-Wold-style-definition		\
		-Wswitch-default

OPT_FLAGS      = -O3 -fno-omit-frame-pointer
DEBUG_FLAGS    =
RPM_OPT_FLAGS ?= -fpic
GLOBAL_FLAGS   = $(RPM_OPT_FLAGS) -D_GNU_SOURCE -g $(OPT_FLAGS)		\
		 $(WARNS) $(shell getconf LFS_CFLAGS) $(DEBUG_FLAGS)	\
		 -DCURRENT_VERSION='"$(BUILD_VERSION)"'			\

CFLAGS  = $(GLOBAL_FLAGS) -I. -std=gnu11 -pedantic $(C_WARNS) $(MY_CFLAGS)
LDFLAGS = $(RPM_LD_FLAGS) $(MY_LDFLAGS)

MY_FLAGS    =
MY_CFLAGS   = $(MY_FLAGS)
MY_LDFLAGS  =

vpath %.c .

UDS_OBJECTS =	chapter-index.o		\
		config.o		\
		delta-index.o		\
		dm-bufio.o              \
		errors.o		\
		event-count.o		\
		fileUtils.o		\
		funnel-queue.o		\
		geometry.o		\
		index.o			\
		index-layout.o		\
		index-page-map.o	\
		index-session.o		\
		io-factory.o		\
		logger.o		\
		memoryAlloc.o		\
		minisyslog.o		\
		murmurhash3.o		\
		open-chapter.o		\
		permassert.o		\
		radix-sort.o		\
		random.o		\
		requestQueue.o		\
		sparse-cache.o		\
		string-utils.o		\
		syscalls.o		\
		threadCondVar.o		\
		threadMutex.o		\
		threadSemaphore.o	\
		thread-utils.o		\
		time-utils.o		\
		volume.o		\
		volume-index.o

.PHONY: all
all: libuds.a

.PHONY: clean
clean:
	rm -rf *.o *.a $(DEPDIR)

.PHONY: install
install:;

libuds.a: $(UDS_OBJECTS)
	rm -f $@
	ar cr $@ $^

%.s: %.c
	$(CC) $(CFLAGS) -S $^


########################################################################
# Dependency processing

%.o: %.c
	@mkdir -p $(DEPDIR)/$(@D) $(@D)
	$(COMPILE.c) -MD -MF $(DEPDIR)/$*.d.new -MP -MT $@ $< -o $@
	if cmp -s $(DEPDIR)/$*.d $(DEPDIR)/$*.d.new; then \
		rm -f $(DEPDIR)/$*.d.new ; \
	else \
		mv -f $(DEPDIR)/$*.d.new $(DEPDIR)/$*.d ; \
	fi

$(DEPDIR)/%.d: %.c
	@mkdir -p $(@D)
	$(CC) $(CFLAGS) -MM -MF $@ -MP -MT $*.o $<

ifneq ($(MAKECMDGOALS),clean)
-include $(UDS_OBJECTS:%.o=$(DEPDIR)/%.d)
endif

=== utils/vdo/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

VDO_VERSION = 8.3.0.71

UDS_DIR      = ../uds


WARNS            =				\
		   -Wall			\
		   -Wcast-align			\
		   -Werror			\
		   -Wextra			\
		   -Winit-self			\
		   -Wlogical-op			\
		   -Wmissing-include-dirs	\
		   -Wpointer-arith		\
		   -Wredundant-decls		\
		   -Wunused			\
		   -Wwrite-strings		\

C_WARNS          =				\
		   -Wbad-function-cast		\
		   -Wcast-qual			\
		   -Wfloat-equal		\
		   -Wformat=2			\
		   -Wmissing-declarations	\
		   -Wmissing-format-attribute	\
		   -Wmissing-prototypes		\
		   -Wnested-externs		\
		   -Wold-style-definition	\
		   -Wswitch-default		\

ifeq ($(AR), ar)
	ifeq ($(origin AR), default)
		AR := gcc-ar
	endif
endif

OPT_FLAGS	 = -O3 -fno-omit-frame-pointer
DEBUG_FLAGS      =
RPM_OPT_FLAGS   ?= -fpic
GLOBAL_FLAGS     = $(RPM_OPT_FLAGS) -D_GNU_SOURCE -g $(OPT_FLAGS) $(WARNS) \
		   $(shell getconf LFS_CFLAGS) $(DEBUG_FLAGS)
GLOBAL_CFLAGS	 = $(GLOBAL_FLAGS) -std=gnu11 -pedantic $(C_WARNS)	\
		   $(EXTRA_CFLAGS)
EXTRA_FLAGS      =
EXTRA_CFLAGS	 = $(EXTRA_FLAGS)
GLOBAL_LDFLAGS   = $(RPM_LD_FLAGS) $(EXTRA_LDFLAGS)
EXTRA_LDFLAGS    =

DEPDIR           = .deps

MV               = mv -f

INCLUDES = -I. -I$(UDS_DIR)
CFLAGS   = -fPIC $(GLOBAL_CFLAGS) $(INCLUDES) -Wno-write-strings \
	   -DCURRENT_VERSION="\"$(VDO_VERSION)\""

LDFLAGS   = $(GLOBAL_LDFLAGS)
LDPRFLAGS = -ldl -pthread -lz -lrt -lm -luuid

DEPLIBS  = $(UDS_DIR)/libuds.a
LIBFLAGS = -pthread -lrt

PROGS = vdoaudit         \
        vdodebugmetadata \
        vdodumpblockmap  \
        vdodumpmetadata  \
        vdoforcerebuild  \
        vdoformat        \
        vdolistmetadata  \
        vdoreadonly      \
        vdostats

COMPLETIONS=vdostats

NOBUILDPROGS = adaptlvm \
	       vdorecover
PROG_SOURCES := $(PROGS:%=%.c)
C_FILES      := $(filter-out $(PROG_SOURCES),$(wildcard *.c))
LIB_OBJECTS  := $(C_FILES:%.c=%.o)

.PHONY: all
all: libvdo.a $(PROGS)

.PHONY: clean
clean:
	$(MAKE) -C man clean
	rm -f *.o *.a
	rm -rf $(DEPDIR) $(PROGS)

libvdo.a: $(LIB_OBJECTS)
	$(RM) $@
	$(AR) cr $@ $(LIB_OBJECTS)

INSTALL = install
INSTALLOWNER ?= -o root -g root
bindir ?= /usr/bin
INSTALLDIR=$(DESTDIR)$(bindir)
bash_completions_dir ?= /usr/share/bash-completion/completions
COMPLETIONINSTALLDIR=$(DESTDIR)$(bash_completions_dir)/

.PHONY: install
install:
	$(INSTALL) $(INSTALLOWNER) -d $(INSTALLDIR)
	for i in $(PROGS) $(NOBUILDPROGS); do \
	  $(INSTALL) $(INSTALLOWNER) -m 755 $$i $(INSTALLDIR); \
	done
	$(MAKE) -C man install
	$(INSTALL) $(INSTALLOWNER) -d $(COMPLETIONINSTALLDIR)
	for c in $(COMPLETIONS); do                            \
	  $(INSTALL) $(INSTALLOWNER) -m 644 $$c.bash           \
	         $(COMPLETIONINSTALLDIR)/$$c;                  \
	done

########################################################################
# Dependency processing

%.o: %.c
	$(COMPILE.c) -MMD -MF $(DEPDIR)/$*.d.new -MP -MT $@ -o $@ $<
	if cmp -s $(DEPDIR)/$*.d $(DEPDIR)/$*.d.new ;		\
	then							\
		$(RM) $(DEPDIR)/$*.d.new ;			\
	else							\
		$(MV) $(DEPDIR)/$*.d.new $(DEPDIR)/$*.d ;	\
	fi

$(DEPDIR)/%.d: %.c
	@mkdir -p $(DEPDIR)
	$(CC) $(CFLAGS) -MM -MF $@ -MP -MT $*.o $<

.SECONDEXPANSION:
$(PROGS): $$@.o libvdo.a $(DEPLIBS)
	echo "Building $@ from $^"
	$(CC) $(LDFLAGS) $^ $(LDPRFLAGS) -o $@

vdoformat: LDPRFLAGS += "-lblkid"

ifneq ($(MAKECMDGOALS),clean)
DEPSOURCES = $(wildcard *.c)
-include $(DEPSOURCES:%.c=$(DEPDIR)/%.d)
endif

=== utils/vdo/man/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

INSTALLFILES= \
	adaptlvm.8         \
	vdoaudit.8         \
	vdodebugmetadata.8 \
	vdodumpblockmap.8  \
	vdodumpmetadata.8  \
	vdoforcerebuild.8  \
	vdoformat.8        \
	vdolistmetadata.8  \
	vdoreadonly.8      \
	vdorecover.8       \
	vdostats.8

INSTALL = install
INSTALLOWNER ?= -o root -g root
mandir ?= /usr/man

INSTALLDIR=$(DESTDIR)/$(mandir)

.PHONY: all clean install
all:;

clean:;

install:
	$(INSTALL) $(INSTALLOWNER) -d $(INSTALLDIR)/man8
	for i in $(INSTALLFILES); do		\
	  $(INSTALL) $(INSTALLOWNER) -m 644 $$i $(INSTALLDIR)/man8;	\
	done

=== debian/changelog ===
vdo (8.3.0.71-2ubuntu1) plucky; urgency=medium

  * In allocate_partition, ensure partition cannot be used uninitialized.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Mar 2025 14:11:17 -0600

vdo (8.3.0.71-2) unstable; urgency=medium

  * Add debian/patches/fix-blhc.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 14 Sep 2024 20:20:10 +0000

vdo (8.3.0.71-1) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 07 Sep 2024 19:41:25 +0000

vdo (8.3.0.71-1~exp5) experimental; urgency=medium

  * Update Architecture field to specify specific architectures.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Sat, 07 Sep 2024 18:34:06 +0000

vdo (8.3.0.71-1~exp4) experimental; urgency=medium

  * Drop debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 17:42:19 +0000

vdo (8.3.0.71-1~exp3) experimental; urgency=medium

  * Update debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 14:50:18 +0000

vdo (8.3.0.71-1~exp2) experimental; urgency=medium

  * Add debian/patches/fix-memory-barriers.patch.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 23 Aug 2024 13:34:28 +0000

vdo (8.3.0.71-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #895405)

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Thu, 22 Aug 2024 03:44:46 +0000

=== debian/control ===
Source: vdo
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
Rules-Requires-Root: binary-targets
Build-Depends: debhelper-compat (= 13),
               libblkid-dev,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://docs.kernel.org/admin-guide/device-mapper/vdo.html
Vcs-Browser: https://salsa.debian.org/debian/vdo
Vcs-Git: https://salsa.debian.org/debian/vdo.git

Package: vdo
Architecture: linux-amd64 linux-arm64 linux-loong64 linux-ppc64 linux-ppc64el linux-s390x
Depends: dmsetup,
         lvm2,
         mount,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bash-completion
Description: Management tools for Virtual Data Optimizer
 Virtual Data Optimizer (VDO) is a device mapper target that delivers
 block-level deduplication, compression, and thin provisioning.
 .
 This package provides the user-space management tools for VDO.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	rm -rfv $(CURDIR)/debian/vdo/usr/share/licenses/

=== debian/watch ===
version=4
https://github.com/dm-vdo/vdo/tags .*/v?(\d\S*)\.tar\.gz

## vdo 8.3.1.1

=== Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

INSTALL = install
INSTALLOWNER ?= -o root -g root
name ?= vdo
defaultdocdir ?= /usr/share/doc
defaultlicensedir ?= /usr/share/licenses
DOCDIR=$(DESTDIR)/$(defaultdocdir)/$(name)
LICENSEDIR=$(DESTDIR)/$(defaultlicensedir)/$(name)

SUBDIRS = examples utils

.PHONY: all clean install
all clean:
	for d in $(SUBDIRS); do         \
	  $(MAKE) -C $$d $@ || exit 1; \
	done

install:
	$(INSTALL) $(INSTALLOWNER) -d $(DOCDIR)
	$(INSTALL) $(INSTALLOWNER) -D -m 644 COPYING -t $(LICENSEDIR) 
	for d in $(SUBDIRS); do         \
	  $(MAKE) -C $$d $@ || exit 1; \
	done

=== examples/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

SUBDIRS = monitor

.PHONY: all clean install
all clean install:
	for d in $(SUBDIRS); do         \
	  $(MAKE) -C $$d $@ || exit 1; \
	done

=== utils/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

SUBDIRS = uds vdo

.PHONY: all clean install
all clean install:
	for d in $(SUBDIRS); do         \
	  $(MAKE) -C $$d $@ || exit 1; \
	done

=== examples/monitor/Makefile ===
#
# Copyright Red Hat
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

INSTALLFILES=monitor_check_vdostats_logicalSpace.pl	\
	monitor_check_vdostats_physicalSpace.pl		\
	monitor_check_vdostats_savingPercent.pl


INSTALL = install
INSTALLOWNER ?= -o root -g root
defaultdocdir ?= /usr/share/doc
name ?= vdo

INSTALLDIR=$(DESTDIR)/$(defaultdocdir)/$(name)/examples/monitor

.PHONY: all clean install
all:;

clean:;

install:
	$(INSTALL) $(INSTALLOWNER) -d $(INSTALLDIR)
	for i in $(INSTALLFILES); do \
	  $(INSTALL) $(INSTALLOWNER) -m 755 $$i $(INSTALLDIR); \
	done

=== utils/uds/Makefile ===
--- 
+++ 
@@ -17,30 +17,45 @@
 # 02110-1301, USA.
 #
 
-BUILD_VERSION = 8.3.0.71
+BUILD_VERSION = 8.3.1.1
 
 DEPDIR = .deps
 
-ifeq ($(origin CC), default)
-  CC=gcc
+ifdef LLVM
+	export CC := clang
+	export LD := ld.ldd
 endif
 
-WARNS =	-Wall			\
-	-Wcast-align		\
-	-Werror			\
-	-Wextra			\
-	-Winit-self		\
-	-Wlogical-op		\
-	-Wmissing-include-dirs	\
-	-Wpointer-arith		\
-	-Wredundant-decls	\
-	-Wunused		\
-	-Wwrite-strings
+ifeq ($(origin CC), default)
+	CC := gcc
+endif
 
-C_WARNS =	-Wbad-function-cast		\
-		-Wcast-qual			\
+ifeq ($(findstring clang, $(CC)),clang)
+# Ignore additional warnings for clang
+	WARNS =	-Wno-compare-distinct-pointer-types	 \
+		-Wno-gnu-statement-expression		 \
+		-Wno-gnu-zero-variadic-macro-arguments	 \
+		-Wno-implicit-const-int-float-conversion \
+		-Wno-language-extension-token
+else
+	WARNS =	-Wcast-align	\
+		-Wcast-qual	\
+		-Wformat=2	\
+		-Wlogical-op
+endif
+
+WARNS        +=	-Wall			\
+		-Werror			\
+		-Wextra			\
+		-Winit-self		\
+		-Wmissing-include-dirs	\
+		-Wpointer-arith		\
+		-Wredundant-decls	\
+		-Wunused		\
+		-Wwrite-strings
+
+C_WARNS       =	-Wbad-function-cast		\
 		-Wfloat-equal			\
-		-Wformat=2			\
 		-Wmissing-declarations		\
 		-Wmissing-format-attribute	\
 		-Wmissing-prototypes		\

=== utils/vdo/Makefile ===
--- 
+++ 
@@ -17,18 +17,38 @@
 # 02110-1301, USA.
 #
 
-VDO_VERSION = 8.3.0.71
+VDO_VERSION = 8.3.1.1
 
 UDS_DIR      = ../uds
 
+ifdef LLVM
+	export CC := clang
+	export LD := ld.ldd
+endif
 
-WARNS            =				\
+ifeq ($(origin CC), default)
+	CC := gcc
+endif
+
+ifeq ($(findstring clang, $(CC)),clang)
+# Ignore additional warnings for clang
+	WARNS = -Wno-compare-distinct-pointer-types	 \
+		-Wno-gnu-statement-expression		 \
+		-Wno-gnu-zero-variadic-macro-arguments	 \
+		-Wno-implicit-const-int-float-conversion \
+		-Wno-language-extension-token
+else
+	WARNS = -Wcast-align			\
+		-Wcast-qual			\
+		-Wformat=2			\
+		-Wlogical-op
+endif
+
+WARNS           +=				\
 		   -Wall			\
-		   -Wcast-align			\
 		   -Werror			\
 		   -Wextra			\
 		   -Winit-self			\
-		   -Wlogical-op			\
 		   -Wmissing-include-dirs	\
 		   -Wpointer-arith		\
 		   -Wredundant-decls		\
@@ -37,9 +57,7 @@
 
 C_WARNS          =				\
 		   -Wbad-function-cast		\
-		   -Wcast-qual			\
 		   -Wfloat-equal		\
-		   -Wformat=2			\
 		   -Wmissing-declarations	\
 		   -Wmissing-format-attribute	\
 		   -Wmissing-prototypes		\

=== debian/changelog ===
vdo (8.3.1.1-1) unstable; urgency=medium

  * New upstream version 8.3.1.1.
  * Bump Standards-Version to 4.7.2.
  * Update upstream and packaging copyright years.
  * Remove utils/uds/asm/unaligned.h in debian/copyright
    because this file is no longer in the source tree.
  * Add debian/patches/fix-partition-can-use-uninit.patch.
    Thanks to Simon Quigley <tsimonq2@ubuntu.com>.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 07 Apr 2025 14:35:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: vdo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
+Maintainer: Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>
 Rules-Requires-Root: binary-targets
 Build-Depends: debhelper-compat (= 13),
                libblkid-dev,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://docs.kernel.org/admin-guide/device-mapper/vdo.html
 Vcs-Browser: https://salsa.debian.org/debian/vdo
 Vcs-Git: https://salsa.debian.org/debian/vdo.git
